"""
2003. minta 1: Triatlon
@author Klemand66
"""

print("1. feladat\n")

betxt = open("triatlon.be")
eredmenyek=[] # a versenyzők eredményeinek listája

n=int(betxt.readline().strip()) # a versenyzők száma

for i in range(n):
    nev=betxt.readline().strip()            # név
    uszas=int(betxt.readline().strip())     #úszás
    kp=int(betxt.readline().strip())        #kerékpározás
    futas=int(betxt.readline().strip())     #futás
    osszido=uszas+kp+futas                  #összidő
    eredmeny=[nev,uszas,kp,futas,osszido]   # egy versenyző eredményei
    # indexek: 0    1    2   3      4
    eredmenyek.append(eredmeny)

betxt.close()
print("Az adatok beolvasása megtörtént.\n")


print("2. feladat\n")

# Rendezzük az eredmenyek listát összidő szerint!

eredmenyek.sort(key=lambda eredmeny: eredmeny[4])

print("Az első három helyezett az összidők alapján: \n")

for i in range(3):
    print(f' {i+1}. {eredmenyek[i][0]}')
print()


print("3. feladat\n")

vu=3.6*1500/eredmenyek[0][1]
vk=3.6*40000/eredmenyek[0][2]
vf=3.6*10000/eredmenyek[0][3]

print(f' Az első helyezett neve {eredmenyek[0][0]}, átlagsebessége:')
print(f' úszásban {vu:.02f} km/h, kerékpározásban {vk:.2f} km/h, \
futásban {vf:.2f} km/h.\n')


print("4. feladat\n")

def konvertalo(t):
    mp=t%60
    t=t//60
    perc=t%60
    ora=t//60
    return f'{ora:02}:{perc:02}:{mp:02}' # bevezető nullák

for eredmeny in eredmenyek:
    eredmeny[4]=konvertalo(eredmeny[4])

print("A konvertálás megtörtént.\n")


print("5. és 6. feladat\n")

kitxt = open("triatlon.ki","w")

for eredmeny in eredmenyek:
    kitxt.write(f' {eredmeny[0]} {eredmeny[4]}\n')

kitxt.close()
print("A triatlon.ki fájl kiíratása befejeződött.\n")


print("7. feladat\n")

kitxt = open("reszer.ki","w")

for i in range(1,4):
    eredmenyek.sort(key=lambda eredmeny: eredmeny[i])
    kitxt.write(f' {eredmenyek[0][0]} {konvertalo(eredmenyek[0][i])}\n')

kitxt.close()
print("A reszer.ki fájl kiíratása befejeződött.\n")

input("A befejezéshez nyomd meg az ENTER billentyűt!")

